/*
 * Created on 28.10.2005
 */
package net.hoopajoo.cheeselab3;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class CheeseMapFriendView extends JFrame {

    private CheeseCanvas canvas;
    JComboBox player_select;

    public CheeseMapFriendView() {
        super("Friend View - CheeseMap");
        setSize( new Dimension( 400, 300 ) );

        // Organize suicide
        setDefaultCloseOperation( JFrame.DISPOSE_ON_CLOSE );
        addWindowListener(new WindowAdapter() {
                              public void windowClosed(WindowEvent e) {
                                  canvas.dispose();
                                  canvas = null;
                              };
                          });

        JPanel p1 = new JPanel( new BorderLayout() );
        getContentPane().add( p1 );
        //JPanel toolbar = new JPanel(new FlowLayout() );
        JToolBar toolbar = new JToolBar();
        p1.add( toolbar, BorderLayout.SOUTH );

        canvas = new CheeseCanvas();
        canvas.set_follow_userid("");
        canvas.set_follow_player( true );
        canvas.set_render_hud( false );

        p1.add( canvas, BorderLayout.CENTER );

        player_select = new JComboBox(new CheesePlayersDataModel() );
        player_select.addActionListener( new ActionListener() {
                                             public void actionPerformed(ActionEvent e) {
                                                 try {
                                                     if(canvas == null)
                                                         return;
                                                     
                                                     CheesePlayerData p = (CheesePlayerData)
                                                                          ((JComboBox)e.getSource()).getSelectedItem();
                                                     canvas.set_follow_userid( p.name );
                                                     canvas.set_follow_player( true );
                                                     setTitle( p.name + "'s view - CheeseMap");
                                                 }
                                                 catch( ClassCastException ex ) { }
                                             }
                                         });

        toolbar.add( player_select );

        JButton bb;
        Dimension bs = new Dimension( 25, 25 );
        bb = new JButton( canvas.zoomin_action );
        bb.setIcon( new ImageIcon( "ui/ui_zoomin.png" ) );
        bb.setPreferredSize( bs );
        toolbar.add( bb );
        bb = new JButton( canvas.zoomout_action );
        bb.setIcon( new ImageIcon( "ui/ui_zoomout.png" ) );
        bb.setPreferredSize( bs );
        toolbar.add( bb );
    }
}
